/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_CORE_H
#define OCARINA_CORE_CORE_H
#include <core/idle.h>
#include <stdbool.h>

struct core_init_data {
	struct playlist_callbacks *playlist_cb;
	struct audio_ops *audio_ops;
	enum   idle_sync_t idle_sync;
};


/* Called to initialize all core Ocarina components. */
void core_init(int *, char ***, struct core_init_data *);

/* Called to deinitialize all core Ocarina componentns. */
void core_deinit();

#endif /* OCARINA_CORE_CORE_H */
